Bug 709658 - Bad build req: No Package Found for kernel-debug-devel-x86_64
Bad build req: No Package Found for kernel-debug-devel-x86_64
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.7
All Linux
high Severity high
: rc
: 5.9
Assigned To: Phillip Lougher
huan-zhang
: OtherQA, Patch
Depends On: 809207
Blocks: 708414 743405 836232 986963
  Show dependency treegraph
 
Reported: 2011-06-01 06:16 EDT by Martin Wilck
Modified: 2014-02-16 17:24 EST (History)
8 users (show)

See Also:
Fixed In Version: kernel-2.6.18-362.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-30 20:16:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
suggested kmodtool patch (516 bytes, patch)
2011-06-01 06:18 EDT, Martin Wilck
no flags Details | Diff
add the Provides: line to kernel-debug-devel (457 bytes, patch)
2012-03-08 10:09 EST, Adrien Kunysz
no flags Details | Diff

  None (edit)
Description Martin Wilck 2011-06-01 06:16:35 EDT
Description of problem:
kmodtool generates an automatic dependency 

BuildRequires: kernel${dashvariant}-devel-%{_target_cpu} = ${verrel}"

for every kernel variant a kmod is supposed to be built for. That doesn't work for the -debug kernel variant because the debug kernel lacks the respective "provides" tag:

$ rpm -qp --provides kernel-debug-devel-2.6.18-262.el5.i686.rpm 
kernel-debug-devel = 2.6.18-262.el5

Compare with xen flavor:
$ rpm -qp --provides kernel-xen-devel-2.6.18-262.el5.i686.rpm
kernel-xen-devel-i686 = 2.6.18-262.el5
kernel-devel-i686 = 2.6.18-262.el5xen
kernel-devel = 2.6.18-262.el5xen
kernel-xen-devel = 2.6.18-262.el5

Version-Release number of selected component (if applicable):
2.6.18-262.el5

How reproducible:
always

Steps to Reproduce:
1. build a kmod including the "debug" kernel flavor using mock
  
Actual results:
Build fails due to missing dependencies
ERROR: Bad build req: No Package Found for kernel-debug-devel-x86_64

Expected results:
Build succeeds

Additional info:
This seems to have been the case for all RHEL5 minor releases so far.
Comment 1 Martin Wilck 2011-06-01 06:18:02 EDT
Created attachment 502208 [details]
suggested kmodtool patch

This is just a workaround. The real fix would be to fix the kernel source package such that correct "Provides" tags are generated for the -debug-devel package.
Comment 2 Adrien Kunysz 2012-03-08 10:09:52 EST
Created attachment 568661 [details]
add the Provides: line to kernel-debug-devel

As per comment#1 the kmodtool patch is just a workaround. The attached patch against kernel.spec should be a proper fix that doesn't require changing kmodtool.
Comment 3 Gary Smith 2012-03-08 10:41:59 EST
Thanks for the patch Adrien (long time no see!).

I've fixed up the fields on this BZ and hopefully it'll a bit more focus...
Comment 7 RHEL Product and Program Management 2012-10-30 01:56:33 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 8 Larry Troan 2013-04-08 17:41:55 EDT
Raising this as an exception. It appears we are missing a dependency in this module that Martin has provided [PATCH].

debug packages are critical to aid in prpoblem determination. Need this in RHEL5 before we go into Production3. Requesting an Exception and raising severity to 2.

I'm sure I can get Fujitsu to test this.

Requesting ACKs.
Comment 9 RHEL Product and Program Management 2013-04-11 17:09:44 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 10 Larry Troan 2013-04-15 22:23:59 EDT
Can I get a QA ACK please.
Comment 14 Phillip Lougher 2013-06-24 10:36:48 EDT
Patch(es) available in kernel-2.6.18-362.el5
You can download this test kernel (or newer) from http://people.redhat.com/plougher/el5/
Detailed testing feedback is always welcomed.
If you require guidance regarding testing, please ask the bug assignee.
Comment 16 Martin Wilck 2013-07-22 05:45:49 EDT
$ rpm -qp --provides /tmp/kernel-debug-devel-2.6.18-365.el5.x86_64.rpm 
kernel-debug-devel-x86_64 = 2.6.18-365.el5
kernel-debug-devel = 2.6.18-365.el5


This is still different from the non-debug case as shown in the bug description. But it's sufficient to fix the kmodtool problem. Thanks.
Comment 19 errata-xmlrpc 2013-09-30 20:16:39 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1348.html

Note You need to log in before you can comment on or make changes to this bug.